Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class MapMessages

    java.lang.Object
      org.apache.tapestry5.ioc.util.AbstractMessages
          org.apache.tapestry5.internal.services.MapMessages

All Implemented Interfaces:
  Messages

    public class MapMessages

extends AbstractMessages

Implementation of `Messages` based on a simple Map (of string keys and values).

Constructor Summary
`MapMessages(java.util.Locale locale, java.util.Map<java.lang.String,java.lang.String> properties)` A new instance retaining (not copying) the provided map.

Method Summary
`protected java.lang.String` | `valueForKey(java.lang.String key)` Invoked to provide the value for a particular key.

Methods inherited from class org.apache.tapestry5.ioc.util.AbstractMessages
`contains, format, get, getFormatter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapMessages

    public MapMessages(java.util.Locale locale,
                       java.util.Map<java.lang.String,java.lang.String> properties)

  A new instance retaining (not copying) the provided map.

Method Detail

### valueForKey

    protected java.lang.String valueForKey(java.lang.String key)

  Description copied from class: `AbstractMessages`
  Invoked to provide the value for a particular key. This may be invoked multiple times even for the same key. The implementation should ignore the case of the key.

  Specified by:
    `valueForKey` in class `AbstractMessages`
  Parameters:
    `key` - the key to obtain a value for (case insensitive)
  Returns:
    the value for the key, or null if this instance can not provide the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.